***crcb
***deaths & corruption
***April 30, 2021

***owid

import excel "c:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\external_data\2021_deaths_corruption_owid_data_sample_02_210529.xlsx", sheet ("data") firstrow
save "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample1_210529.dta"
clear

***wb-- cc

import excel "c:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\external_data\2021_deaths_corruption_wb_wbi_data_sample_02_210514.xlsx", sheet ("data") firstrow
save "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample2_210515.dta"
clear

***wb-- health and gdp

import excel "c:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\external_data\2021_deaths_corruption_wb_health_gdp_data_sample_02_210514.xlsx", sheet ("data") firstrow
save "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample3_210515.dta"
clear

***wb-- diabetes

import excel "c:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\external_data\2021_deaths_corruption_wb_diabetes_prevalence_sample_02_210513.xlsx", sheet ("data") firstrow
save "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample4_210515.dta"
clear

***wb-- 2021_deaths_corruption_wb_crude_death_rate_sample_02_210514.xlsx

import excel "c:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\external_data\2021_deaths_corruption_wb_crude_death_rate_sample_02_210514.xlsx", sheet ("data") firstrow
save "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample5_210515.dta"
clear

***wb-- 2021_deaths_corruption_ti_cpi_data_sample_02_200514.xlsx

import excel "c:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\external_data\2021_deaths_corruption_ti_cpi_data_sample_02_200514.xlsx", sheet ("data") firstrow
save "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample6_210515.dta"
clear

***wb-- 2021_deaths_corruption_wb_gdp_pcap_data_sample_02_210514.xls
import excel "c:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\external_data\2021_deaths_corruption_wb_gdp_pcap_data_sample_02_210514.xlsx", sheet ("data") firstrow
save "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample7_210515.dta"
clear

use "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample1_210529.dta"
merge 1:1 id using "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample2_210515.dta"
drop _merge
merge 1:1 id using "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample3_210515.dta"
drop _merge
merge 1:1 id using "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample4_210515.dta"
drop _merge
merge 1:1 id using "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample5_210515.dta"
drop _merge
merge 1:1 id using "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample6_210515.dta"
drop _merge
merge 1:1 id using "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_sample7_210515.dta"
drop _merge
save "C:\Users\tthst\123\crcb\1_munka\2021_deaths_corruption\data\2021_deaths_corruption_data_210529.dta", replace

destring total_deaths, replace
destring total_deaths_per_million, replace
destring total_tests, replace
destring population, replace
destring median_age, replace
destring aged_65_older, replace
destring gdp_per_capita, replace
destring extreme_poverty, replace
destring cardiovasc_death_rate, replace
destring diabetes_prevalence, replace
destring female_smokers, replace
destring male_smokers, replace
destring life_expectancy, replace
destring human_development_index, replace

destring total_cases, replace
destring new_cases, replace
destring new_cases_smoothed, replace
destring total_deaths, replace
destring new_deaths, replace
destring new_deaths_smoothed, replace
destring total_cases_per_million, replace
destring total_deaths_per_million, replace
destring icu_patients, replace
destring icu_patients_per_million, replace
destring hosp_patients, replace
destring hosp_patients_per_million, replace
destring total_tests_per_thousand, replace
destring population, replace
destring population_density, replace
destring median_age, replace
destring aged_65_older, replace
destring aged_70_older, replace
destring gdp_per_capita, replace
destring extreme_poverty, replace
destring cardiovasc_death_rate, replace
destring diabetes_prevalence, replace
destring female_smokers, replace
destring male_smokers, replace
destring handwashing_facilities, replace
destring hospital_beds_per_thousand, replace
destring life_expectancy, replace
destring human_development_index, replace
destring cpi_score_2019 , replace
destring standard_error, replace 
destring lower_ci, replace
destring Upper_ci, replace
destring total_tests, replace
destring median_age, replace
destring male_smokers, replace
destring female_smokers, replace

rename total_deaths_per_million tdpmx
gen tdpm=total_deaths/population*1000000
gen spt= total_cases/ total_tests

rename human_development_index hdi
rename cardiovasc_death_rate crdvsclr_dr

destring stringency_index, replace
rename stringency_index si

rename aged_65_older age65_o
rename aged_70_older age70_o

rename female_smokers fml_smkrs
rename male_smokers   ml_smkrs
rename extreme_poverty xtrmpvrt
rename life_expectancy lfxpctnc
rename median_age mdn_age
rename population_density ppltn_dnst

gen spt2=spt
list id country if eu27oecd==1, nolabel
list id country spt if eu27oecd==1, nolabel
replace spt2=1632932/18347631 if id==18
replace spt2=252045/38325742 if id==19
replace spt2=5642359/76301950 if id==22
replace spt2=973604/8482276 if id==58

***nborders : number of borders, from 2021_deaths_corruption_sample_210514.xlsx file with copy paste

gen island=0
replace island=1 if nborders==0

label define clabel 1 "ALB" 2 "AND" 3"ARG" 4"AUS" 5"AUT" 6"BLR" 7"BEL" 8"BIH" 9"BWA" 10"BRA" 11"BGR" 12"CAN" 13"CHL" 14"COL" 15"CRI" 16"HRV" 17"CYP" 18"CZE" 19"DNK" 20"EST" 21"FIN" 22"FRA" 23"DEU" 24"GHA" 25"GRC" 26"HUN" 27"ISL" 28"IRL" 29"ISR" 30"ITA" 31"JAM" 32"JPN" 33"XKX" 34"LVA" 35"LIE" 36"LTU" 37"LUX" 38"MLT" 39"MUS" 40"MEX" 41"MDA" 42"MNE" 43"NAM" 44"NLD" 45"NZL" 46"MKD" 47"NOR" 48"POL" 49"PRT" 50"ROU" 51"RUS" 52"SRB" 53"SVK" 54"SVN" 55"ZAF" 56"KOR" 57"ESP" 58"SWE" 59"CHE" 60"TTO" 61"TUN" 62"TUR" 63"UKR" 64"GBR" 65 "USA" 66"URY" 
label values id clabel

***hu
gen hu=0
replace hu=1 if id==26

***eu27, eu30 oecd and eu27oecd
gen eu27=0
replace eu27=1 if id==5  | id==7  | id==11 | id==16 | id==17 | id==18 | id==19 | id==20 | id==22 | id==23 | id==25 | id==26 | id==28 | id==30 | id==34 | id==36   | id==37 | id==38 | id==44 | id==48 | id==49 | id==50 | id==53 | id==54 | id==57 | id==58 | id==21
 
gen eu30=0
replace eu30=1 if eu27==1 | id==47 | id==59 | id==64

gen oecd=0
replace oecd=1 if id==4 | id==5 | id==7 | id==12 | id==13 | id==14 | id==18 | id==19 | id==20 | id==21 | id==23 | id==25 | id==26 | id==27 | id==28 |id==29 | id==30       |  id==32| id==56| id==34| id==36 | id==37 | id==40 | id==44 | id==45 | id==47 | id==48 | id==49 | id==53 | id==54 | id==57 | id==58 |id==62 | id==64       |  id==65| id==22| id==59

gen eu27oecd=0
replace eu27oecd=1 if eu27==1 | oecd==1
tab eu27oecd

***imput estimated value of c_wef_eos
gen wefx=wef_eos
gen tix=cpi_score_2019
gen wbx=cc_2019

reg wef_eos bfsgi imd_wcy if eu27oecd==1, beta
hettest
vif
predict wef_eos_x, xb
replace wefx=wef_eos_x if id==2
replace wefx=wef_eos_x if id==7
replace wefx=wef_eos_x if id==47

sum tix, det
sum wbx, det
sum wefx, det

***inverse scales
gen c_ti= 88 -  tix
gen c_wb= 2.170072 -  wbx
gen c_wef=94 - wefx
drop tix wbx wefx

***ln transformations
gen lntdpm=  ln(tdpm)
gen lncti=   ln(c_ti)
gen lncwb=   ln(c_wb)
gen lncwef=  ln(c_wef)
gen lnspt=   ln(spt)
gen lnspt2=  ln(spt2)
gen lnfml_smkrs=ln(fml_smkrs)
gen lngdppcp=ln(gdp_pcap_2019)
gen lnagdppcp=ln(gdp_pcap_a2015_19)

***ordinal variables
xtile q_spt     =spt          if eu27oecd==1, n(5)
xtile q_tdpm5   =tdpm         if eu27oecd==1, n(5)
xtile q_tdpm3   =tdpm         if eu27oecd==1, n(3)
xtile q_c_wef   =c_wef        if eu27oecd==1, n(5)

sum spt2 if eu27oecd==1, det
gen spt2_z=(spt2 - 0.0842021)/0.0752314
sum c_wef if eu27oecd==1, det
gen c_wef_z= (c_wef - 32.95031)/18.12027
sum gdp_pcap_2019 if eu27oecd==1, det
gen gdp_pcap_2019_z=(gdp_pcap_2019 - 37725.76)/23553.76
sum gdp_pcap_a2015_19 if eu27oecd==1, det
gen gdp_pcap_a2015_19_z=(gdp_pcap_a2015_19 - 35897.1)/22855.51
sum fml_smkrs if eu27oecd==1, det
gen fml_smkrs_z =(fml_smkrs - 21.10476)/7.339766

***fig. 1.
graph twoway (scatter cdr_2018 c_wef if eu27==1 & eu27oecd==1, msymbol (O) mcolor(blue) msize(small) mlabel(id)) (scatter cdr_2018 c_wef if eu27==0 & eu27oecd==1, msymbol(Oh) msize(small) mlabel(id)) ||, legend(label(1 EU27 countries) label(2 other countries)) xlabel(, nogrid) xtitle("level of grand corruption - 2019") ytitle("crude death rate - 2018") ylabel(, nogrid) note("Source: CRCB's own calculations based on WEF and The World Bank data", size(small)) graphregion( color(white))
pwcorr cdr_2018 c_wef if eu27oecd==1, sig o

***table 1.
reg cdr_2018 c_wef if eu27oecd==1, beta
hettest
vif
rreg cdr_2018 c_wef if eu27oecd==1

reg cdr_2018 gdp_pcap_2018 if eu27oecd==1, beta
hettest
vif
rreg cdr_2018 gdp_pcap_2018 if eu27oecd==1

reg cdr_2018 hdi if eu27oecd==1, beta
hettest
vif
rreg cdr_2018 hdi if eu27oecd==1

reg cdr_2018 c_wef gdp_pcap_2018 if eu27oecd==1, beta
hettest
vif
rreg cdr_2018 c_wef gdp_pcap_2018 if eu27oecd==1

reg cdr_2018 c_wef hdi if eu27oecd==1, beta
hettest
vif
rreg cdr_2018 c_wef hdi if eu27oecd==1

reg cdr_2018 c_wef gdp_pcap_2018 hdi if eu27oecd==1, beta
hettest
vif
rreg cdr_2018 c_wef gdp_pcap_2018 hdi if eu27oecd==1

reg cdr_2018 c_wef gdp_pcap_2018 mdn_age fml_smkrs if eu27oecd==1, beta
hettest
vif
rreg cdr_2018 c_wef gdp_pcap_2018 mdn_age fml_smkrs if eu27oecd==1

rreg cdr_2018 c_wef gdp_pcap_2018 mdn_age fml_smkrs cardiov_death_rate if eu27oecd==1
reg  cdr_2018 c_wef mdn_age crdvsclr_dr if eu27oecd==1

***fig. 2.
***2a.
graph twoway (scatter cdr_2017 cdr_2018 if eu27==1 & eu27oecd==1, msymbol (O) mcolor(blue) msize(small) mlabel(id)) (scatter cdr_2017 cdr_2018 if eu27==0 & eu27oecd==1, msymbol(Oh) msize(small) mlabel(id)) ||, legend(label(1 EU27 countries) label(2 other countries)) xlabel(, nogrid) xtitle("crude death rate - 2018") ytitle("crude death rate - 2017") ylabel(, nogrid) note("Source: CRCB's own calculations based on WEF and The World Bank data", size(small)) graphregion( color(white))
pwcorr cdr_2018 cdr_2017 if eu27oecd==1, sig o

***2b.
graph twoway (scatter tdpm     cdr_2018 if eu27==1 & eu27oecd==1, msymbol (O) mcolor(blue) msize(small) mlabel(id)) (scatter tdpm     cdr_2018 if eu27==0 & eu27oecd==1, msymbol(Oh) msize(small) mlabel(id)) ||, legend(label(1 EU27 countries) label(2 other countries)) xlabel(, nogrid) xtitle("crude death rate - 2018") ytitle("total confirmed Covid-19 deaths per million") ylabel(, nogrid) note("Source: CRCB's own calculations based on WEF data and One World in Data", size(small)) graphregion( color(white))
pwcorr cdr_2018 tdpm if eu27oecd==1, sig o

***fig. 3.
graph twoway (scatter tdpm c_wef if eu27==1 & eu27oecd==1, msymbol (O) mcolor(blue) msize(small) mlabel(id)) (scatter tdpm c_wef if eu27==0 & eu27oecd==1, msymbol(Oh) msize(small) mlabel(id)) ||, legend(label(1 EU27 countries) label(2 other countries)) xlabel(, nogrid) xtitle("level of grand corruption - 2019") ytitle("total confirmed Covid-19 deaths per million") ylabel(, nogrid) note("Source: CRCB's own calculations based on WEF data and One World in Data", size(small)) graphregion( color(white))
pwcorr tdpm c_wef if eu27oecd==1, sig o

***fig. 4.
graph twoway (scatter tdpm spt2 if eu27==1 & eu27oecd==1, msymbol (O) mcolor(blue) msize(small) mlabel(id)) (scatter tdpm spt2 if eu27==0 & eu27oecd==1, msymbol(Oh) msize(small) mlabel(id)) ||, legend(label(1 EU27 countries) label(2 other countries)) xlabel(, nogrid) xtitle("test positivity rate") ytitle("total confirmed Covid-19 deaths per million") ylabel(, nogrid) note("Source: CRCB's own calculations based on WEF, Worldometer and One World in Data", size(small)) graphregion( color(white))
pwcorr tdpm spt2 if eu27oecd==1, sig o

**mexico is an outlier, without mexico
reg tdpm spt2 if eu27oecd==1, beta
predict cooksd
list country cooksd if eu27oecd==1

***mexico, cook's distance : 2731.942 (max value), in upper 99%
graph twoway (scatter tdpm spt2 if eu27==1 & eu27oecd==1 & id!=40, msymbol (O) mcolor(blue) msize(small) mlabel(id)) (scatter tdpm spt2 if eu27==0 & eu27oecd==1 & id!=40, msymbol(Oh) msize(small) mlabel(id)) ||, legend(label(1 EU27 countries) label(2 other countries)) xlabel(, nogrid) xtitle("test positivity rate") ytitle("total confirmed Covid-19 deaths per million") ylabel(, nogrid) note("Source: CRCB's own calculations based on WEF, Worldometer and One World in Data", size(small)) graphregion( color(white))
pwcorr tdpm spt2 if eu27oecd==1 & id!=40, sig o

***estimation of tdpm
reg tdpm c_wef spt2 gdp_pcap_2018 mdn_age fml_smkrs crdvsclr_dr if eu27oecd==1 & id!=40, beta
hettest
vif

***keep id country eu27 eu27oecd c_wef cdr_2017 cdr_2018 tdpm spt

***fig. 5.
***5a.
graph twoway (scatter tdpm c_wef if hu==1 & eu27oecd==1, msymbol (O) mcolor(orange) msize(small) mlabel(id)) (scatter tdpm c_wef if hu==0 & eu27oecd==1, msymbol(Oh) msize(small) mlabel(id)) ||, legend(label(1 Hungary) label(2 EU26 & OECD countries)) xlabel(, nogrid) xtitle("level of grand corruption - 2019") ytitle("total confirmed Covid-19 deaths per million") ylabel(, nogrid) note("Source: CRCB's own calculations based on WEF data and One World in Data", size(small)) graphregion( color(white))

***5b.
graph twoway (scatter tdpm spt2 if hu==1 & eu27oecd==1, msymbol (O) mcolor(orange) msize(small) mlabel(id)) (scatter tdpm spt2 if hu==0 & eu27oecd==1, msymbol(Oh) msize(small) mlabel(id)) ||, legend(label(1 Hungary) label(2 EU26 & OECD countries)) xlabel(, nogrid) xtitle("test positivity rate") ytitle("total confirmed Covid-19 deaths per million") ylabel(, nogrid) note("Source: CRCB's own calculations based on WEF, Worldometer and One World in Data", size(small)) graphregion( color(white))

***estimation out-of-sample
reg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs if eu27oecd==1 & hu==0 & id!=40, beta
hettest
vif
predict tdpm_x, xb
predict tdpm_stdp, stdp
rreg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs if eu27oecd==1 & hu==0 & id!=40

reg tdpm c_wef spt2 if eu27oecd==1 & hu==0 & id!=40, beta
predict tdpm_x2, xb
predict tdpm_stdp2, stdp

***annex fig. 3.
***observed vs. predited
graph twoway lfit tdpm_x tdpm if eu27oecd==1 & id!=40 || (scatter tdpm_x tdpm if hu==1 & eu27oecd==1 & id!=40, msymbol (O) mcolor(orange) msize(small) mlabel(id)) (scatter tdpm_x tdpm if hu==0 & eu27oecd==1 & id!=40, msymbol(Oh) msize(small) mlabel(id)) ||, legend(label(1 regression line) label(2 Hungary) label(3 other EU & OECD countries)) xtitle("tdpm") ytitle("tdpm(est)") note("Source: CRCB, The World Bank and One World in Data", size(small))  graphregion( color(white))
pwcorr tdpm_x tdpm if eu27oecd==1 & id!=40
reg tdpm_x tdpm if eu27oecd==1 & id!=40, beta
***estimated tdpm is lower than observed tdpm value


***table 2.
pwcorr tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs mdn_age age65_o age70_o crdvsclr_dr diab_2019 lfxpctnc hdi ppltn_dnst if eu27oecd==1 & id!=40, sig o

***table 3.
reg tdpm c_wef if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm c_wef if eu27oecd==1 & id!=40

reg tdpm spt2  if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm spt2  if eu27oecd==1 & id!=40

reg tdpm gdp_pcap_2019 if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm gdp_pcap_2019 if eu27oecd==1 & id!=40

reg tdpm gdp_pcap_a2015_19 if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm gdp_pcap_a2015_19 if eu27oecd==1 & id!=40

reg tdpm fml_smkrs if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm fml_smkrs if eu27oecd==1 & id!=40

reg tdpm ml_smkrs if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm ml_smkrs if eu27oecd==1 & id!=40

reg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs if eu27oecd==1 & id!=40

reg tdpm c_wef spt2 gdp_pcap_a2015_19 fml_smkrs if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm c_wef spt2 gdp_pcap_a2015_19 fml_smkrs if eu27oecd==1 & id!=40

reg tdpm c_wef spt2 gdp_pcap_2019 ml_smkrs if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm c_wef spt2 gdp_pcap_2019 ml_smkrs if eu27oecd==1 & id!=40

reg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs mdn_age if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs mdn_age if eu27oecd==1 & id!=40

reg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs age65_o if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs age65_o if eu27oecd==1 & id!=40

reg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs age70_o if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs age70_o if eu27oecd==1 & id!=40

reg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs  crdvsclr_dr if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs crdvsclr_dr if eu27oecd==1 & id!=40

reg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs  diab_2019 if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs diab_2019 if eu27oecd==1 & id!=40

reg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs  lfxpctnc if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs lfxpctnc if eu27oecd==1 & id!=40

reg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs  xtrmpvrt if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs xtrmpvrt if eu27oecd==1 & id!=40

reg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs hdi if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs hdi if eu27oecd==1 & id!=40

reg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs  ppltn_dnst if eu27oecd==1 & id!=40, beta
hettest
vif
rreg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs ppltn_dnst if eu27oecd==1 & id!=40


***robustness checks
***ln, multiplicative model
reg lntdpm lncwef   if eu27oecd==1 & id!=40, beta
hettest
vif
rreg lntdpm lncwef  if eu27oecd==1 & id!=40

reg lntdpm   lnspt2   if eu27oecd==1 & id!=40, beta
hettest
vif
rreg lntdpm  lnspt2   if eu27oecd==1 & id!=40

reg lntdpm   lngdppcp if eu27oecd==1 & id!=40, beta
hettest
vif
rreg lntdpm  lngdppcp if eu27oecd==1 & id!=40

reg lntdpm   lnagdppcp if eu27oecd==1 & id!=40, beta
hettest
vif
rreg lntdpm  lnagdppcp if eu27oecd==1 & id!=40

reg lntdpm   lnfml_smkrs if eu27oecd==1 & id!=40, beta
hettest
vif
rreg lntdpm  lnfml_smkrs if eu27oecd==1 & id!=40

***quantile regression
qreg tdpm c_wef             if  eu27oecd==1 & id!=40
qreg tdpm spt2              if  eu27oecd==1 & id!=40
qreg tdpm gdp_pcap_2019     if  eu27oecd==1 & id!=40
qreg tdpm gdp_pcap_a2015_19 if  eu27oecd==1 & id!=40
qreg tdpm fml_smkrs         if  eu27oecd==1 & id!=40
qreg tdpm c_wef spt2 gdp_pcap_2019 fml_smkrs if eu27oecd==1 & id!=40

***oligit, tdpm5
ologit q_tdpm5 c_wef_z if eu27oecd==1 & id!=40, or
ologit q_tdpm5 spt2_z  if eu27oecd==1 & id!=40, or
ologit q_tdpm5 gdp_pcap_2019_z     if eu27oecd==1 & id!=40, or
ologit q_tdpm5 gdp_pcap_a2015_19_z if eu27oecd==1 & id!=40, or
ologit q_tdpm5 fml_smkrs_z         if eu27oecd==1 & id!=40, or
ologit q_tdpm5 c_wef_z spt2_z gdp_pcap_2019_z fml_smkrs_z if eu27oecd==1 & id!=40, or

***
rreg q_tdpm5 c_wef_z if eu27oecd==1 & id!=40
rreg q_tdpm5 spt2_z  if eu27oecd==1 & id!=40
rreg q_tdpm5 gdp_pcap_2019_z     if eu27oecd==1 & id!=40
rreg q_tdpm5 gdp_pcap_a2015_19_z if eu27oecd==1 & id!=40
rreg q_tdpm5 fml_smkrs_z         if eu27oecd==1 & id!=40
rreg q_tdpm5 c_wef_z spt2_z gdp_pcap_2019_z fml_smkrs_z if eu27oecd==1 & id!=40

***oligit, tdpm3
ologit q_tdpm3 c_wef_z if eu27oecd==1 & id!=40, or
ologit q_tdpm3 spt2_z  if eu27oecd==1 & id!=40, or
ologit q_tdpm3 gdp_pcap_2019_z     if eu27oecd==1 & id!=40, or
ologit q_tdpm3 gdp_pcap_a2015_19_z if eu27oecd==1 & id!=40, or
ologit q_tdpm3 fml_smkrs_z         if eu27oecd==1 & id!=40, or
ologit q_tdpm3 c_wef_z spt2_z gdp_pcap_2019_z fml_smkrs_z if eu27oecd==1 & id!=40, or

***
rreg q_tdpm3 c_wef_z if eu27oecd==1 & id!=40
rreg q_tdpm3 spt2_z  if eu27oecd==1 & id!=40
rreg q_tdpm3 gdp_pcap_2019_z     if eu27oecd==1 & id!=40
rreg q_tdpm3 gdp_pcap_a2015_19_z if eu27oecd==1 & id!=40
rreg q_tdpm3 fml_smkrs_z         if eu27oecd==1 & id!=40
rreg q_tdpm3 c_wef_z spt2_z gdp_pcap_2019_z fml_smkrs_z if eu27oecd==1 & id!=40
reg  q_tdpm3 c_wef spt2     gdp_pcap_2019   fml_smkrs   if eu27oecd==1 & id!=40, beta
hettest
vif
rreg q_tdpm3 c_wef spt2     gdp_pcap_2019   fml_smkrs    if eu27oecd==1 & id!=40
ologit q_tdpm3 c_wef spt2   gdp_pcap_2019   fml_smkrs    if eu27oecd==1 & id!=40, or

***
reg lntdpm lncwef lnspt2 lngdppcp lnfml_smkrs if eu27oecd==1 & id!=40, beta
hettest
vif
predict lntdpm_x, xb
predict lntdpm_stdp, stdp
rreg lntdpm lncwef lnspt2 lngdppcp lnfml_smkrs if eu27oecd==1 & id!=40

***observed vs. predited
graph twoway lfit lntdpm_x lntdpm if eu27oecd==1 & id!=40 || (scatter lntdpm_x lntdpm if hu==1 & eu27oecd==1 & id!=40, msymbol (O) mcolor(orange) msize(small) mlabel(id)) (scatter lntdpm_x lntdpm if hu==0 & eu27oecd==1 & id!=40, msymbol(Oh) msize(small) mlabel(id)) ||, legend(label(1 regression line) label(2 Hungary) label(3 other EU & OECD countries)) xtitle("lntdpm") ytitle("lntdpm(est)") note("Source: CRCB, The World Bank and One World in Data", size(small))  graphregion( color(white))
pwcorr lntdpm_x lntdpm if eu27oecd==1 & id!=40
reg lntdpm_x lntdpm if eu27oecd==1 & id!=40, beta

***end
